//
// Created by spenc on 5/21/2025.
//


#include "Texture2D.h"
#define STB_IMAGE_IMPLEMENTATION
#include <stb/stb_image.h>
#include <GL/glew.h>
#include "Texture2D.h"

namespace OX {

    Texture2D::~Texture2D() {
        if (m_TextureID)
            glDeleteTextures(1, &m_TextureID);
    }

    void Texture2D::SetFromGL(uint32_t texID, int width, int height) {
        m_TextureID = texID;
        m_Width = width;
        m_Height = height;
    }

}

